summaryrefslogtreecommitdiff
path: root/tests/od/x8
diff options
context:
space:
mode:
Diffstat (limited to 'tests/od/x8')
-rwxr-xr-xtests/od/x864
1 files changed, 64 insertions, 0 deletions
diff --git a/tests/od/x8 b/tests/od/x8
new file mode 100755
index 0000000..c92fcab
--- /dev/null
+++ b/tests/od/x8
@@ -0,0 +1,64 @@
+#!/bin/sh
+# verify that od -t x8 works properly
+# This would fail before coreutils-4.5.2.
+
+# Copyright (C) 2002, 2005, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ od --version
+fi
+
+od -t x8 /dev/null >/dev/null || {
+ echo >&2 "$0: 8-byte test skipped"
+ exit 77
+}
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+echo abcdefgh |tr -d '\n' > in || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+od -An -t x8 in > out-raw || fail=1
+sed 's/^ //;s/\(..\)/\1 /g;s/ $//' out-raw \
+ | tr ' ' '\n' \
+ | sort -n \
+ > out
+
+od -An -t x1 in \
+ | sed 's/^ //' \
+ | tr ' ' '\n' \
+ | sort -n \
+ > exp
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+(exit $fail); exit $fail